FIX::MessageStore Class Referenceabstract

This interface must be implemented to store and retrieve messages and sequence numbers. More...

`#include <MessageStore.h>`

Inheritance diagram for FIX::MessageStore:
[legend]

## Public Member Functions

virtual | ~MessageStore ()
virtual bool | set (int, const std::string &) throw ( IOException ) =0
virtual void | get (int, int, std::vector< std::string > &) const throw ( IOException ) =0
virtual int | getNextSenderMsgSeqNum () const throw ( IOException ) =0
virtual int | getNextTargetMsgSeqNum () const throw ( IOException ) =0
virtual void | setNextSenderMsgSeqNum (int) throw ( IOException ) =0
virtual void | setNextTargetMsgSeqNum (int) throw ( IOException ) =0
virtual void | incrNextSenderMsgSeqNum () throw ( IOException ) =0
virtual void | incrNextTargetMsgSeqNum () throw ( IOException ) =0
virtual UtcTimeStamp | getCreationTime () const throw ( IOException ) =0
virtual void | reset () throw ( IOException ) =0
virtual void | refresh () throw ( IOException ) =0

## Detailed Description

This interface must be implemented to store and retrieve messages and sequence numbers.

Definition at line 66 of file MessageStore.h.

## Constructor & Destructor Documentation

## ~MessageStore()

virtual FIX::MessageStore::~MessageStore | ( |  | ) |

inline virtual

Definition at line 69 of file MessageStore.h.

{}

## Member Function Documentation

## get()

virtual void FIX::MessageStore::get | ( | int | ,
|  | int | ,
|  | std::vector< std::string > & |
| ) |  | const
throw | ( | IOException
| ) |  |

pure virtual

Implemented in FIX::SessionState, FIX::FileStore, FIX::MemoryStore, and FIX::NullStore.

Referenced by FIX::SessionState::get(), and FIX::MessageStoreExceptionWrapper::get().

## getCreationTime()

virtual UtcTimeStamp FIX::MessageStore::getCreationTime | ( |  | ) | const
throw | ( | IOException
| ) |  |

pure virtual

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::getCreationTime(), and FIX::MessageStoreExceptionWrapper::getCreationTime().

## getNextSenderMsgSeqNum()

virtual int FIX::MessageStore::getNextSenderMsgSeqNum | ( |  | ) | const
throw | ( | IOException
| ) |  |

pure virtual

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::getNextSenderMsgSeqNum(), and FIX::MessageStoreExceptionWrapper::getNextSenderMsgSeqNum().

## getNextTargetMsgSeqNum()

virtual int FIX::MessageStore::getNextTargetMsgSeqNum | ( |  | ) | const
throw | ( | IOException
| ) |  |

pure virtual

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::getNextTargetMsgSeqNum(), and FIX::MessageStoreExceptionWrapper::getNextTargetMsgSeqNum().

## incrNextSenderMsgSeqNum()

virtual void FIX::MessageStore::incrNextSenderMsgSeqNum | ( |  | ) |
throw | ( | IOException
| ) |  |

pure virtual

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::incrNextSenderMsgSeqNum(), and FIX::MessageStoreExceptionWrapper::incrNextSenderMsgSeqNum().

## incrNextTargetMsgSeqNum()

virtual void FIX::MessageStore::incrNextTargetMsgSeqNum | ( |  | ) |
throw | ( | IOException
| ) |  |

pure virtual

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::incrNextTargetMsgSeqNum(), and FIX::MessageStoreExceptionWrapper::incrNextTargetMsgSeqNum().

## refresh()

virtual void FIX::MessageStore::refresh | ( |  | ) |
throw | ( | IOException
| ) |  |

pure virtual

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::refresh(), and FIX::MessageStoreExceptionWrapper::refresh().

## reset()

virtual void FIX::MessageStore::reset | ( |  | ) |
throw | ( | IOException
| ) |  |

pure virtual

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::reset(), and FIX::MessageStoreExceptionWrapper::reset().

## set()

virtual bool FIX::MessageStore::set | ( | int | ,
|  | const std::string & |
| ) |  |
throw | ( | IOException
| ) |  |

pure virtual

Implemented in FIX::SessionState, FIX::FileStore, FIX::MemoryStore, and FIX::NullStore.

Referenced by FIX::SessionState::set(), FIX::MessageStoreExceptionWrapper::set(), and FIX::MemoryStore::setCreationTime().

## setNextSenderMsgSeqNum()

virtual void FIX::MessageStore::setNextSenderMsgSeqNum | ( | int |  | ) |
throw | ( | IOException
| ) |  |

pure virtual

Implemented in FIX::SessionState, FIX::FileStore, FIX::MemoryStore, and FIX::NullStore.

Referenced by FIX::SessionState::setNextSenderMsgSeqNum(), and FIX::MessageStoreExceptionWrapper::setNextSenderMsgSeqNum().

## setNextTargetMsgSeqNum()

virtual void FIX::MessageStore::setNextTargetMsgSeqNum | ( | int |  | ) |
throw | ( | IOException
| ) |  |

pure virtual

Implemented in FIX::SessionState, FIX::FileStore, FIX::MemoryStore, and FIX::NullStore.

Referenced by FIX::SessionState::setNextTargetMsgSeqNum(), and FIX::MessageStoreExceptionWrapper::setNextTargetMsgSeqNum().

The documentation for this class was generated from the following file:

- MessageStore.h